maven中标签的作用

Dependency Scope

在POM 4中,中还引入了,它主要管理依赖的部署。目前可以使用5个值:

* compile,缺省值,适用于所有阶段,会随着项目一起发布。
* provided,类似compile,期望JDK、容器或使用者会提供这个依赖。如servlet.jar。 详情

Maven导入ojdbc6.jar

一般在本地安装的oracle文件夹中都能找到自带的驱动(ojdbc),我的目录是: D:\oracle\product\11.2.0\dbhome_1\jdbc\lib\ojdbc6.jar

从网上了解到 ,由于oracle官方的版权问题,我们需要手动将我们本地的ojdbc6.jar创建到本地的maven库中。 详情

Maven Binary和Source的区别

在Maven网站上下载Maven的时候,有两种压缩包Binary zip archive和Source zip archive,查了一下,第一种是编译好的二进制文件,也就是能直接使用的;后者是源代码,可能有人想要研究源码或者什么的,用的话需要自己编译一下生成bin目录。

转载自:https://blog.csdn.net/u011531425/article/details/52457037

严重: Error configuring application listener of class [org.springframework.web.context.ContextLoaderListener] java.lang.ClassNotFoundException: org.springframework.web.context.ContextLoaderListener

前几天把部分模块的CRUD写完后,就回家了,但是同事说启动项目报错,这确实是我自己疏忽了,写完了也没重启项目测试一下再走。因为同事主要负责前端,问题就没解决,这两天忙完事情回来处理bug。

严重: Error configuring application listener of class [org.springframework.web.context.ContextLoaderListener] 详情

maven ssm 框架搭建问题解决

昨天搭建这个框架用了很久,但总是报错,把mybatis和spring整合后,单元测试都不成功!

问题根源:创建maven2项目,会自动将JRE System Library 默认设置为JavaSE-1.5,我们可以手动修改它的版本(框架运行时还是会出错),而且 maven -> Update Project.. 之后又会回到javaSE-1.5,解决办法: 详情